GNU bug report logs - #57974
2022-08-30; Enhancing help facility for function doc string

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ikumi Keita <ikumi@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 57974 <at> debbugs.gnu.org and Ikumi Keita <ikumi@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 24 Sep 2022 12:06:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 08:06:58 2022
Received: from localhost ([127.0.0.1]:42563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc3vu-0003vq-Jt
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 08:06:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oc3vr-0003vR-Bc
 for 57974 <at> debbugs.gnu.org; Sat, 24 Sep 2022 08:06:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8iWF1SKBnUizLuWvAjtgKvfiLZei0TXhfdtg7DrIYWU=; b=OQCDhUmwqnIQM43cO2FHXkFTTs
 AkeZmxMLmRNpViq49czLfYIAt4ThDRz84IQKK1ueeeorUgGau+6wRpRNIdbDFkZR7xC/OB+7QJfWs
 Z3PtDRe1g3AfqcXXu7PFmVdX/hA5ObOLjncQy1V1FC2qLwDL7qh/z56mDMDev49zIBME=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oc3ve-0003IU-Hs; Sat, 24 Sep 2022 14:06:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#57974: 2022-08-30; Enhancing help facility for function doc
 string
In-Reply-To: <38161.1663999444@localhost> (Ikumi Keita's message of "Sat, 24
 Sep 2022 15:04:04 +0900")
References: <1509.1663752344@localhost> <871qs56iut.fsf@HIDDEN>
 <6232.1663770080@localhost> <87czbn7jbh.fsf@HIDDEN>
 <jwv35cj4haq.fsf-monnier+emacs@HIDDEN> <16872.1663860126@localhost>
 <jwvh70z2w8t.fsf-monnier+emacs@HIDDEN> <87bkr65dox.fsf@HIDDEN>
 <38161.1663999444@localhost>
X-Now-Playing: Snapped Ankles's _Come Play The Trees_: "Come Play The Trees"
Date: Sat, 24 Sep 2022 14:06:41 +0200
Message-ID: <877d1tyo1a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Ikumi Keita <ikumi@HIDDEN> writes: > Thanks, I think
 the proposed stuff is organized well enough. I've now done this in Emacs
 29. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57974
Cc: Stefan Monnier <monnier@HIDDEN>, 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ikumi Keita <ikumi@HIDDEN> writes:

> Thanks, I think the proposed stuff is organized well enough.

I've now done this in Emacs 29.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 24 Sep 2022 06:04:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 02:04:12 2022
Received: from localhost ([127.0.0.1]:42126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obyGp-0004rJ-W7
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 02:04:12 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:42334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1obyGn-0004r8-Lx
 for 57974 <at> debbugs.gnu.org; Sat, 24 Sep 2022 02:04:10 -0400
Received: from localhost (42-144-46-173.rev.home.ne.jp [42.144.46.173])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id 4EE612DC;
 Sat, 24 Sep 2022 15:04:06 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57974: 2022-08-30;
 Enhancing help facility for function doc string
In-reply-to: <87bkr65dox.fsf@HIDDEN>
References: <1509.1663752344@localhost> <871qs56iut.fsf@HIDDEN>
 <6232.1663770080@localhost> <87czbn7jbh.fsf@HIDDEN>
 <jwv35cj4haq.fsf-monnier+emacs@HIDDEN> <16872.1663860126@localhost>
 <jwvh70z2w8t.fsf-monnier+emacs@HIDDEN> <87bkr65dox.fsf@HIDDEN>
Comments: In-reply-to Lars Ingebrigtsen <larsi@HIDDEN>
 message dated "Fri, 23 Sep 2022 17:10:38 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.2
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <38156.1663999444.1@localhost>
Date: Sat, 24 Sep 2022 15:04:04 +0900
Message-ID: <38161.1663999444@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57974
Cc: Stefan Monnier <monnier@HIDDEN>, 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Lars,

>>>>> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> Moving the :override line to the start would be easy enough, but should
> perhaps also be rephrased to something like:

> ---
> This function has :override advice: func-B, so func-A isn't run at all,
> and the documentation below is possibly irrelevant.  See the
> documentation to func-B instead.
> ---

Thanks, I think the proposed stuff is organized well enough.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 23 Sep 2022 15:10:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 11:10:54 2022
Received: from localhost ([127.0.0.1]:41398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obkKL-0002b6-TA
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 11:10:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1obkKJ-0002at-OO
 for 57974 <at> debbugs.gnu.org; Fri, 23 Sep 2022 11:10:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+MG3JibjTGiDgx7//TvtGDxFIp4qVQ/y+LwWq03qh/U=; b=jC45Q9hMSKKnhXU0J1OGBpBeDz
 Tu/pirHVaskspQXndJspu0YR9Ok0Ys3nC77GrCvzNPJmZ8drdzC+YC7WM8YIpFOvrzhAAkcV6PP4V
 uC8K8g3wq16oOLW+Gj7BjwVwV6fCmZlL82fOgPSALcIICktyPaok7NAghnKxk4ae9b9Q=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1obkK7-00031Q-3p; Fri, 23 Sep 2022 17:10:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#57974: 2022-08-30; Enhancing help facility for function doc
 string
In-Reply-To: <jwvh70z2w8t.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Thu, 22 Sep 2022 12:47:37 -0400")
References: <1509.1663752344@localhost> <871qs56iut.fsf@HIDDEN>
 <6232.1663770080@localhost> <87czbn7jbh.fsf@HIDDEN>
 <jwv35cj4haq.fsf-monnier+emacs@HIDDEN> <16872.1663860126@localhost>
 <jwvh70z2w8t.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVgGSeyTzTtni/s
 qkX80Vn///8TRdHCAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YJFw41Kr8DeQIAAAG9SURBVDjLlZPb
 ecMgDIUhXcDCGaAIBiiIBWy8/0w9EthO0qfqAX/Wz9EFhHPvRpxCJKLFef3cVlYJBeuPewjXmI/T
 Sqoka1VQmZkuUtZaAMIEHE4gJKIxALgBXMF2KhE5SMEh9ZbAHWMxkPaj3xLsDjWU+uN8lkPTrFPS
 dOkb+sjp0PR0pu/QEDnnOe/8mn6jSgZoJQX8vEAx4LDyaytbuIGR+KnwJ2hX8gFUEs7sPd8KlVxg
 z0eXD0BaFmfrfoBZV9DerbYPQABl8Vi3J9UPgGsOraPlV0VcO+v9J47uHaACWjyFvL0D1rEBIJZF
 qrtbt+kZu9qx3yD6qXcLkez3kVgKML/4wAZmpAhC5OHAePR9+A3QqtW6xT3aBewMfd5Jw7rnISfg
 MQ17BHGuNZF+na3OT2SrCn4pBswfU4t4FbAnBAaGgHCz/A3/2jHVCpivIemL1iRN0g3GvOGsWj+Q
 I2o7QyA6OTk2Mf8FkBoAo2X78W9An4e0Oenw1wnwpSRj3MT2s1b1qIKTHf4uCfvrVFT4mwIxS8ly
 ark6GDJN31YaobxwOt0W3mrBWX6dL0z3Q2GhIs2L+mOL+7/9Akkpkqnkksl9AAAAJXRFWHRkYXRl
 OmNyZWF0ZQAyMDIyLTA5LTIzVDE0OjUzOjQyKzAwOjAw1XiV6AAAACV0RVh0ZGF0ZTptb2RpZnkA
 MjAyMi0wOS0yM1QxNDo1Mzo0MiswMDowMKQlLVQAAAAASUVORK5CYII=
X-Now-Playing: Kate Bush's _The Kick Inside_: "James And The Cold Gun"
Date: Fri, 23 Sep 2022 17:10:38 +0200
Message-ID: <87bkr65dox.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > I don't
 have a strong opinion either. I think the issue has more to do > about how
 to implement it (the info about advice is provided via the > same mechanism
 used for all kinds of other auxiliary i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57974
Cc: Ikumi Keita <ikumi@HIDDEN>, 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> I don't have a strong opinion either.  I think the issue has more to do
> about how to implement it (the info about advice is provided via the
> same mechanism used for all kinds of other auxiliary info and is not
> designed to distinguish those things that are more or less important,
> it has a very limited flexibility right now).

Today, I think the display is something along the lines of:

---
func-A is a Lisp function in /tmp/foo.el.

(func-A)

doc string of A

This function has :after advice: func-D.
This function has :before advice: func-C.
This function has :override advice: func-B.
---

Moving the :override line to the start would be easy enough, but should
perhaps also be rephrased to something like:

---
This function has :override advice: func-B, so func-A isn't run at all,
and the documentation below is possibly irrelevant.  See the
documentation to func-B instead.
---





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 22 Sep 2022 16:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 12:47:51 2022
Received: from localhost ([127.0.0.1]:38388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obPMd-0003Y4-0n
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 12:47:51 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:58647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1obPMY-0003XB-TO
 for 57974 <at> debbugs.gnu.org; Thu, 22 Sep 2022 12:47:49 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id F14B58089B;
 Thu, 22 Sep 2022 12:47:40 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id D93358079C;
 Thu, 22 Sep 2022 12:47:38 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1663865258;
 bh=kNXFh4zA8brY3bzqwWmCY4XQvkH71PyW25pjXBv2loY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=mixY7Dq4QV3pJBQ0+Be49UNlVKwfWiMRZg5WCtVoxRcnKXWN0PoiYq3WCQqkzpEuo
 7UHvHIzxDEOMFJlrSc2W/J3MFYUwx3SUQ2gL+Zk5SLnnO5GWif2e0hCdtDUzcXB4Id
 7f3lye8MYq3XwsHUzKv5zbi9rDwO9YEgnqe9ZLi9iEM//7Ef3oQPfF3TlTopiTFgQr
 bMAKQpUA/QYblJuIiJGWjMUhWTFTDvxeeRBBzGcw1Yf6mfP0vzdLi8EALva63bHdp0
 tRayBRU55DmszvAP/FGrkJ/bVechofvDofhgrH7OunWV6/nuHD1Z9Jg1CCN/v85bgI
 2Kb9orm0L5KzA==
Received: from lechazo (lechon.iro.umontreal.ca [132.204.27.242])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id B85FB12089E;
 Thu, 22 Sep 2022 12:47:38 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#57974: 2022-08-30; Enhancing help facility for function doc
 string
In-Reply-To: <16872.1663860126@localhost> (Ikumi Keita's message of "Fri, 23
 Sep 2022 00:22:06 +0900")
Message-ID: <jwvh70z2w8t.fsf-monnier+emacs@HIDDEN>
References: <1509.1663752344@localhost> <871qs56iut.fsf@HIDDEN>
 <6232.1663770080@localhost> <87czbn7jbh.fsf@HIDDEN>
 <jwv35cj4haq.fsf-monnier+emacs@HIDDEN> <16872.1663860126@localhost>
Date: Thu, 22 Sep 2022 12:47:37 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.183 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57974
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ikumi Keita [2022-09-23 00:22:06] wrote:
>>>>>> Stefan Monnier <monnier@HIDDEN> writes:
>>> Right, makes sense.  But there can be more than one advice -- would
>>> moving just the :overrides to the front of the doc string solve the
>>> problem?
>> It used to be there, so maybe that's a good solution, yes.
> More radical approach would also be an option, i.e., to display doc
> string of B instead of A; but I don't strongly insist.

I don't have a strong opinion either.  I think the issue has more to do
about how to implement it (the info about advice is provided via the
same mechanism used for all kinds of other auxiliary info and is not
designed to distinguish those things that are more or less important,
it has a very limited flexibility right now).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 22 Sep 2022 15:22:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 11:22:14 2022
Received: from localhost ([127.0.0.1]:38247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obO1m-0001HX-Bf
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 11:22:14 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:37808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1obO1h-0001HH-Gm
 for 57974 <at> debbugs.gnu.org; Thu, 22 Sep 2022 11:22:13 -0400
Received: from localhost (42-144-46-173.rev.home.ne.jp [42.144.46.173])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id 371552D7;
 Fri, 23 Sep 2022 00:22:07 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#57974: 2022-08-30;
 Enhancing help facility for function doc string
In-reply-to: <jwv35cj4haq.fsf-monnier+emacs@HIDDEN>
References: <1509.1663752344@localhost> <871qs56iut.fsf@HIDDEN>
 <6232.1663770080@localhost> <87czbn7jbh.fsf@HIDDEN>
 <jwv35cj4haq.fsf-monnier+emacs@HIDDEN>
Comments: In-reply-to Stefan Monnier <monnier@HIDDEN>
 message dated "Thu, 22 Sep 2022 10:26:28 -0400."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.2
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <16869.1663860126.1@localhost>
Date: Fri, 23 Sep 2022 00:22:06 +0900
Message-ID: <16872.1663860126@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57974
Cc: 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Stefan Monnier <monnier@HIDDEN> writes:
>> Right, makes sense.  But there can be more than one advice -- would
>> moving just the :overrides to the front of the doc string solve the
>> problem?

> It used to be there, so maybe that's a good solution, yes.

More radical approach would also be an option, i.e., to display doc
string of B instead of A; but I don't strongly insist.

Bye,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 22 Sep 2022 14:26:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 10:26:40 2022
Received: from localhost ([127.0.0.1]:38199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obNA0-00069Y-IQ
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 10:26:40 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:13721)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1obN9y-00069K-EJ
 for 57974 <at> debbugs.gnu.org; Thu, 22 Sep 2022 10:26:38 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id E84C4807C3;
 Thu, 22 Sep 2022 10:26:32 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 71A378071D;
 Thu, 22 Sep 2022 10:26:31 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1663856791;
 bh=8mWrmdM4G0CACBmDKS3cO1Iy7Yz8lSW5FGdBCNlT7Kw=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=WSCyIeUi+w6BxerG51Xh4lZxMWOcwZuBhvVn5L8z3gq+J4mVCn0xbO/yEWxYjPdY4
 v+Nx2umjYnwJB9MHHihgjflacEAdiJFjow/6l1VXfI7JSHEdfw71GT7NF2m8bkZiYq
 xEabBsjCmczqT0ng0g5N64WnOmDplBcfgpWkiH0ptcFD5uOJE5EqBUnZFDDtV5aQHZ
 DeVNHRJx1ys30a2xtS6XYtXB4pwlV+YtIDxwQjF4cde//7JPsWU9eTJ9403J6RAhvU
 W8KwFMrOmrbEvdIh5/TbaKGTIHLQhredBgl/mBxoM39oSv6n9J3ItnVuGB2qYIGs/d
 y+KY7dvp9/7ZQ==
Received: from lechazo (lechon.iro.umontreal.ca [132.204.27.242])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0ACD612023A;
 Thu, 22 Sep 2022 10:26:31 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57974: 2022-08-30; Enhancing help facility for function doc
 string
In-Reply-To: <87czbn7jbh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 22 Sep 2022 13:13:54 +0200")
Message-ID: <jwv35cj4haq.fsf-monnier+emacs@HIDDEN>
References: <1509.1663752344@localhost> <871qs56iut.fsf@HIDDEN>
 <6232.1663770080@localhost> <87czbn7jbh.fsf@HIDDEN>
Date: Thu, 22 Sep 2022 10:26:28 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.183 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57974
Cc: Ikumi Keita <ikumi@HIDDEN>, 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Right, makes sense.  But there can be more than one advice -- would
> moving just the :overrides to the front of the doc string solve the
> problem?

It used to be there, so maybe that's a good solution, yes.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 22 Sep 2022 11:14:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 07:14:14 2022
Received: from localhost ([127.0.0.1]:36503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obK9m-00076w-Bi
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 07:14:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1obK9h-00076e-AP
 for 57974 <at> debbugs.gnu.org; Thu, 22 Sep 2022 07:14:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=SmGwX7spn21M51E6Y1xNquIkLVF8BNvMHnXzqXIQX9A=; b=cCIz/4MoVhnPWXaKhsN0eNVcMj
 Xj+JE60lkAQDZSJWJvXLfxuAOUXR7dD2mxQVLYmW8FVN5+U6egqsNIRYxSyG0Ebc09N+0EbShg0pl
 8v4M//eOgRl9aihPn9jxyle97WrBmR+aCDqdmqcGyQ1WwLsGpQ1TbEP7SRVkMOMR3gtU=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1obK9S-000835-QM; Thu, 22 Sep 2022 13:13:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#57974: 2022-08-30; Enhancing help facility for function doc
 string
In-Reply-To: <6232.1663770080@localhost> (Ikumi Keita's message of "Wed, 21
 Sep 2022 23:21:20 +0900")
References: <1509.1663752344@localhost> <871qs56iut.fsf@HIDDEN>
 <6232.1663770080@localhost>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEVJP0lmb5iopK/X
 1NgbGCD49/f///8745hEAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YJFgsLNc25ygQAAAGHSURBVDjL
 ddTBjoMgEADQQdk7UHu3Q3tXSe9jwgdsa/z/X9kBwRVsJ2kaec4AExAAhNZaQQyBk3PO8s9tA9KT
 9AHM+7m+HysH8LPkIdoyzIvBbiBJUgYIMKWMFDGP4VFDRDDjYx3PQBtcv2QMxwxe7Z5RAGTg0f5Y
 KicmWCLwDil7ApeAYxvXOFydSqVoBwLEoXn2/5NnIHsZftYzeK/b389gmy+A7W+79s8TkGpfn0G2
 SwUydbcJcJwjdYTExGDdDjK3UtjLekeHZQb/QWPXu11cCdz1AFxqKSdnUA1yhiuXSyC1aqYF7FIu
 dzad7mc+rDUIknrkRLTVBoX0xvERRlMBn1MzhRdA2wL4yBuU8WDA9QjE05ue4qUQzyOQMPoF29m7
 7kBcnGNM/Zz3lij+401gbnSGOQA/XrCLIDNotb1p7JA7vfUqgIxL0IdS6R6EsUblu3K4N8Ii2unm
 266GmzLWvb27V+Cpmw3y3uPXwJcR1hGjBi6It/htOcHML0M1R1HzyzD8AZ6b4XXBm5FcAAAAJXRF
 WHRkYXRlOmNyZWF0ZQAyMDIyLTA5LTIyVDExOjExOjUzKzAwOjAwuM4f/wAAACV0RVh0ZGF0ZTpt
 b2RpZnkAMjAyMi0wOS0yMlQxMToxMTo1MyswMDowMMmTp0MAAAAASUVORK5CYII=
X-Now-Playing: Carole King's _Tapestry_: "So Far Away"
Date: Thu, 22 Sep 2022 13:13:54 +0200
Message-ID: <87czbn7jbh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Ikumi Keita <ikumi@HIDDEN> writes: > The function A
 behaves as if it were the function B by the nature of > :override advice,
 so the doc string of A is almost useless. The actual > behavior is described
 by the doc string of B. > > Unfo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57974
Cc: Stefan Monnier <monnier@HIDDEN>, 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ikumi Keita <ikumi@HIDDEN> writes:

> The function A behaves as if it were the function B by the nature of
> :override advice, so the doc string of A is almost useless. The actual
> behavior is described by the doc string of B.
>
> Unfortunately, when A is a mode function and has a long doc string,
> users can easily look over the line
> This function has :override advice: =E2=80=98func-B=E2=80=99.
> far downward in the *Help* buffer when they see the output of C-h m.
> That results in that they miss the "true" mode description provided by
> the doc string of B.
>
> Stephan suggested that such situation can be improved as
> ,----
> | Maybe the help facility should be more careful in how it builds the
> | docstring when a function has an `:override` advice, indeed.
> `----
> , in https://lists.gnu.org/r/auctex-devel/2022-09/msg00046.html

Right, makes sense.  But there can be more than one advice -- would
moving just the :overrides to the front of the doc string solve the
problem?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 21 Sep 2022 14:21:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 10:21:28 2022
Received: from localhost ([127.0.0.1]:34989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ob0bQ-0003Rt-JR
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 10:21:28 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:34002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1ob0bM-0003Rg-NE
 for 57974 <at> debbugs.gnu.org; Wed, 21 Sep 2022 10:21:26 -0400
Received: from localhost (42-144-46-173.rev.home.ne.jp [42.144.46.173])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id 615862DC;
 Wed, 21 Sep 2022 23:21:22 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57974: 2022-08-30;
 Enhancing help facility for function doc string
In-reply-to: <871qs56iut.fsf@HIDDEN>
References: <1509.1663752344@localhost> <871qs56iut.fsf@HIDDEN>
Comments: In-reply-to Lars Ingebrigtsen <larsi@HIDDEN>
 message dated "Wed, 21 Sep 2022 13:56:58 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.2
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-2022-jp
Date: Wed, 21 Sep 2022 23:21:20 +0900
Message-ID: <6232.1663770080@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57974
Cc: 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Lars,

>>>>> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> I'm not quite sure I follow your meaning here.

> Do you have a complete recipe, starting from "emacs -Q", that displays
> the problem?

1. Save the following file as /tmp/foo.el
----------------------------------------------------------------------
(defun func-A ()
  "doc string of A"
  nil)

(defun func-B ()
  "doc string of B"
  t)

(advice-add 'func-A :override #'func-B)
----------------------------------------------------------------------
2. emacs -Q -l /tmp/foo.el
3. Type C-h f func-A RET
4. Then *Help* buffer pops up and shows
----------------------------------------------------------------------
func-A is a Lisp function in ‘/tmp/foo.el’.

(func-A)

doc string of A

This function has :override advice: ‘func-B’.
----------------------------------------------------------------------
The function A behaves as if it were the function B by the nature of
:override advice, so the doc string of A is almost useless. The actual
behavior is described by the doc string of B.

Unfortunately, when A is a mode function and has a long doc string,
users can easily look over the line
This function has :override advice: ‘func-B’.
far downward in the *Help* buffer when they see the output of C-h m.
That results in that they miss the "true" mode description provided by
the doc string of B.

Stephan suggested that such situation can be improved as
,----
| Maybe the help facility should be more careful in how it builds the
| docstring when a function has an `:override` advice, indeed.
`----
, in https://lists.gnu.org/r/auctex-devel/2022-09/msg00046.html

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 21 Sep 2022 11:57:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 07:57:14 2022
Received: from localhost ([127.0.0.1]:32768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oayLp-00037D-Os
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:57:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37270)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oayLn-00036v-5k
 for 57974 <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:57:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=F3g0kwHhoS50d/UoJaNar9FEdzK8YKWhAAzCWjoojk4=; b=KKiSdlOf/3JwlWj/85m/9KSzPi
 O+M0TNVYvx+viRXO4p3UC2KgDe5zfhxS2pl20qosP5NeAfhuX1oZ5bNkwvnAkdoGCxzf+ebs7wMhM
 AcE10GewILRky1BECmVvPqcbJUSo0u+8qmmSZldCjZRPPtjTCWYpsnpemQGYn2n5Mlm4=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oayLa-0004kR-LQ; Wed, 21 Sep 2022 13:57:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#57974: 2022-08-30; Enhancing help facility for function doc
 string
In-Reply-To: <1509.1663752344@localhost> (Ikumi Keita's message of "Wed, 21
 Sep 2022 18:25:44 +0900")
References: <1509.1663752344@localhost>
X-Now-Playing: Niki Mono's _Contradictions are a Luxury_: "In A Rush"
Date: Wed, 21 Sep 2022 13:56:58 +0200
Message-ID: <871qs56iut.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Ikumi Keita <ikumi@HIDDEN> writes: > This is a wishlist
 for record rather than a bug report. See >
 <URL:https://lists.gnu.org/r/auctex-devel/2022-09/msg00046.html>
 for the > background. > > When a Elisp function A has :override advice [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57974
Cc: 57974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ikumi Keita <ikumi@HIDDEN> writes:

> This is a wishlist for record rather than a bug report. See
> <URL:https://lists.gnu.org/r/auctex-devel/2022-09/msg00046.html> for the
> background.
>
> When a Elisp function A has :override advice B, help facility (C-h f)
> displays doc string A, not B. It only indicates
> This function has :override advice: THE-NAME-OF-B
> modestly.
>
> This is inconvenient, especially when A is a (major or minor) mode
> function and the user typed C-h m in that mode buffer.
>
> It would be worth considering to enhance the help facility to display
> doc string of B instead when A is overrided by advice.

I'm not quite sure I follow your meaning here.

Do you have a complete recipe, starting from "emacs -Q", that displays
the problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.

Message received at 57974 <at> debbugs.gnu.org:


Received: (at 57974) by debbugs.gnu.org; 21 Sep 2022 10:15:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 06:15:48 2022
Received: from localhost ([127.0.0.1]:60761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oawlg-00022N-Ea
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 06:15:48 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:33532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1oawld-00022C-PX
 for 57974 <at> debbugs.gnu.org; Wed, 21 Sep 2022 06:15:46 -0400
Received: from localhost (42-144-46-173.rev.home.ne.jp [42.144.46.173])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id C62922EC
 for <57974 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 19:15:42 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: 57974 <at> debbugs.gnu.org
Subject: Re: bug#57974: 2022-08-30;
 Enhancing help facility for function doc string
In-reply-to: <1509.1663752344@localhost>
References: <1509.1663752344@localhost>
Comments: In-reply-to Ikumi Keita <ikumi@HIDDEN>
 message dated "Wed, 21 Sep 2022 18:25:44 +0900."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.2
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <2598.1663755339.1@localhost>
Date: Wed, 21 Sep 2022 19:15:39 +0900
Message-ID: <2600.1663755339@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57974
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Oops, sorry. I sent to wrong address. I reassigned this from "auctex" to
"emacs".

>>>>> Ikumi Keita <ikumi@HIDDEN> writes:
> This is a wishlist for record rather than a bug report. See
> <URL:https://lists.gnu.org/r/auctex-devel/2022-09/msg00046.html> for the
> background.

> When a Elisp function A has :override advice B, help facility (C-h f)
> displays doc string A, not B. It only indicates
> This function has :override advice: THE-NAME-OF-B
> modestly.

> This is inconvenient, especially when A is a (major or minor) mode
> function and the user typed C-h m in that mode buffer.

> It would be worth considering to enhance the help facility to display
> doc string of B instead when A is overrided by advice.

> Regards,
> Ikumi Keita
> #StandWithUkraine #StopWarInUkraine




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57974; Package emacs. Full text available.
bug reassigned from package 'auctex' to 'emacs'. Request was from Ikumi Keita <ikumi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2022 09:26:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 05:26:02 2022
Received: from localhost ([127.0.0.1]:60686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oavzV-00071U-9l
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 05:26:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:45618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1oavzT-00071J-BS
 for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 05:25:59 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44714)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ikumi@HIDDEN>)
 id 1oavzT-00025l-3P
 for bug-auctex@HIDDEN; Wed, 21 Sep 2022 05:25:59 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:36142)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ikumi@HIDDEN>)
 id 1oavzQ-0000Db-8S
 for bug-auctex@HIDDEN; Wed, 21 Sep 2022 05:25:58 -0400
Received: from localhost (42-144-46-173.rev.home.ne.jp [42.144.46.173])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id 7ED532EC
 for <bug-auctex@HIDDEN>; Wed, 21 Sep 2022 18:25:48 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: bug-auctex@HIDDEN
Subject: 2022-08-30; Enhancing help facility for function doc string
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.2
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <1505.1663752344.1@localhost>
Content-Transfer-Encoding: quoted-printable
Date: Wed, 21 Sep 2022 18:25:44 +0900
Message-ID: <1509.1663752344@localhost>
Received-SPF: pass client-ip=210.129.88.11; envelope-from=ikumi@HIDDEN;
 helo=smtp1a.inetd.co.jp
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a wishlist for record rather than a bug report. See
<URL:https://lists.gnu.org/r/auctex-devel/2022-09/msg00046.html> for the
background.

When a Elisp function A has :override advice B, help facility (C-h f)
displays doc string A, not B. It only indicates
This function has :override advice: THE-NAME-OF-B
modestly.

This is inconvenient, especially when A is a (major or minor) mode
function and the user typed C-h m in that mode buffer.

It would be worth considering to enhance the help facility to display
doc string of B instead when A is overrided by advice.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine

Emacs  : GNU Emacs 28.2 (build 1, x86_64-unknown-freebsd13.1, GTK+ Version=
 3.24.33, cairo version 1.17.4)
 of 2022-09-15
Package: 2022-08-30

current state:
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
(setq
 AUCTeX-date "2022-08-30"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("/usr/local/var/auctex"
		  "/usr/local/share/emacs/site-lisp/auctex/style"
		  "/home/keita/.emacs.d/auctex/auto"
		  "/home/keita/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save nil
 TeX-parse-self t
 TeX-master nil
 TeX-command-list '(("TeX"
		     "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%=
' %(output-dir) %t"
		     TeX-run-TeX nil
		     (plain-tex-mode ams-tex-mode texinfo-mode) :help
		     "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil
		     (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %(o-dir) %t"
		     TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with Info output")
		    ("Makeinfo HTML"
		     "makeinfo %(extraopts) %(o-dir) --html %t"
		     TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with HTML output")
		    ("AmSTeX"
		     "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %(output-dir) %t"
		     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt"
		     "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt until completion")
		    ("BibTeX" "%(bibtex) %s" TeX-run-BibTeX nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode context-mode)
		     :help "Run BibTeX")
		    ("Biber" "biber %(output-dir) %s" TeX-run-Biber nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Run Biber")
		    ("Texindex" "texindex %s.??" TeX-run-command nil
		     (texinfo-mode) :help "Run Texindex")
		    ("Texi2dvi" "%(PDF)texi2dvi %t" TeX-run-command nil
		     (texinfo-mode) :help "Run Texi2dvi or Texi2pdf")
		    ("View" "%V" TeX-run-discard-or-function t t :help
		     "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help
		     "View the printer queue" :visible TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx -o %(O?pdf) %d" TeX-run-dvipdfmx nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f %(O?pdf)" TeX-run-ps2pdf nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %(d-dir) %s" TeX-run-command
		     nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Run makeglossaries to create glossary file")
		    ("Index" "%(makeindex) %s" TeX-run-index nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Run makeindex to create index file")
		    ("upMendex" "upmendex %(O?idx)" TeX-run-index t
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Run upmendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode
		      texinfo-mode)
		     :help "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
		     :help "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode)
		     :help "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil
		     t :help "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help
		     "Run an arbitrary command")
		    )
 )




Acknowledgement sent to Ikumi Keita <ikumi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#57974; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Sep 2022 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.